Subject: bug#79140: 29.1; Editing the occur buffer: not possible to remove lines

From: Juri Linkov <[email-masked]>
Date: Fri, 08 Aug 2025 09:20:10 +0300

forcemerge 79140 75996
thanks

> When comparing the behaviour of editing the occur buffer,
> we noted that in emacs 29.1 it is no longer possible to remove entire lines of
> occurrences.
>
> When I do an occur, I often want to filter the result by using delete-matching lines.
> I used to do that by doing  C-x C-q   (toggle read only).
> But since emacs 29.1 the text itself is marked read only. At least the
> line number of the match can no longer be deleted.

Thanks for the bug report.  We are fixing it in bug#75530 and bug#75996.
Sorry for no progress so far.